> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/conversion/updateAvailability#auth).

Updates the availabilities of a batch of floodlight activities in DoubleClick Search.
[Try it now](https://developers.google.com/search-ads/v2/reference/conversion/updateAvailability#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/doubleclicksearch/v2/conversion/updateAvailability
```

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

In the request body, supply data with the following structure:

```
{
  "availabilities": [
    {
      "agencyId": long,
      "advertiserId": long,
      "customerId": string,
      "segmentationType": string,
      "segmentationId": long,
      "segmentationName": string,
      "availabilityTimestamp": unsigned long
    }
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `availabilities[]` | `list` | The availabilities being requested. |   |
| `availabilities[].agencyId` | `long` | DS agency ID. |   |
| `availabilities[].advertiserId` | `long` | DS advertiser ID. |   |
| `availabilities[].segmentationType` | `string` | The segmentation type that this availability is for (its default value is `FLOODLIGHT`). <br /> Acceptable values are: - "`FLOODLIGHT`" |   |
| `availabilities[].segmentationId` | `long` | The numeric segmentation identifier (for example, DoubleClick Search Floodlight activity ID). |   |
| `availabilities[].segmentationName` | `string` | The friendly segmentation identifier (for example, DoubleClick Search Floodlight activity name). |   |
| `availabilities[].availabilityTimestamp` | `unsigned long` | The time by which all conversions have been uploaded, in epoch millis UTC. |   |
| `availabilities[].customerId` | `string` | New Search Ads 360 customer ID. This must be a sub-manager account. |   |

## Response

If successful, this method returns a response body with the following structure:

```
{
  "availabilities": [
    {
      "agencyId": long,
      "advertiserId": long,
      "customerId": string,
      "segmentationType": string,
      "segmentationId": long,
      "segmentationName": string,
      "availabilityTimestamp": unsigned long
    }
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `availabilities[]` | `list` | The availabilities being returned. |   |
| `availabilities[].agencyId` | `long` | DS agency ID. |   |
| `availabilities[].advertiserId` | `long` | DS advertiser ID. |   |
| `availabilities[].segmentationType` | `string` | The segmentation type that this availability is for (its default value is `FLOODLIGHT`). <br /> Acceptable values are: - "`FLOODLIGHT`" |   |
| `availabilities[].segmentationId` | `long` | The numeric segmentation identifier (for example, DoubleClick Search Floodlight activity ID). |   |
| `availabilities[].segmentationName` | `string` | The friendly segmentation identifier (for example, DoubleClick Search Floodlight activity name). |   |
| `availabilities[].availabilityTimestamp` | `unsigned long` | The time by which all conversions have been uploaded, in epoch millis UTC. |   |
| `availabilities[].customerId` | `string` | New Search Ads 360 customer ID. This must be a sub-manager account. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.conversion.updateAvailability).